<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title']='✔ Опросы ツ';

include_once '../../sys/inc/thead.php';
title();
aut(); // форма авторизации


	echo '<div class="foot"><b>✔ Опросы ツ</b></div>';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `poll`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


$q = mysql_query("SELECT * FROM `poll` ORDER BY `id` DESC LIMIT $start, $set[p_str]");

echo '<table class="post">';

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Опросов в базе нет  ツ';
	echo '</div>';
}

while ($post = mysql_fetch_assoc($q))
{
	
	/*-----------зебра-----------*/
	if ($num==0)
	{echo '<div class="nav1">';
	$num=1;
	}elseif ($num==1)
	{echo '<div class="nav2">';
	$num=0;}
	/*---------------------------*/
	
	// Cчетчик участников
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `poll_votes` WHERE `id_poll` = '$post[id]'"), 0);
	
	// Cчетчик лайков
	$like = mysql_result(mysql_query("SELECT COUNT(*) FROM `poll_like` WHERE `id_poll` = '$post[id]'"), 0);

	if ($count < 100)$img = 1;
	elseif ($count > 100 && $count < 1000)$img = 2;
	elseif ($count > 1000)$img = 3;

			
	echo '<img src="img/' . $img . '.png" /> <a href="poll.php?id=' . $post['id'] . '">' . output_text($post['msg']) . '</a><br />';

	echo '<img src="img/user.png" /> [' . $count . '] <img src="/style/icons/like.gif" alt=""/> [' . $like . ']';


	
	echo '</div>';
}
echo '</table>';

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

if (isset($user)){
	
	echo '<div class="foot"><img src="/style/icons/str.gif" alt="*" /> <a href="create.php?new">Cоздать опрос</a></div>';

	
}
	echo '<div class="foot"><b>✔ Опросы ツ</b></div>';

include_once '../../sys/inc/tfoot.php';
?>
